<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Termine\BerichtAbgeben;

class KurstagBerichtAbgebenFormular extends \Kufer\Web\KuferTools\Utils\Form\AbstractForm
{
  public $anzahlKinder;
  public $alterVon;
  public $alterBis;
  public $bericht;

  public function fromRequest(string $prefix = ''): void
  {
    $this->anzahlKinder = \PostOperations::getVarValue('anzahl_kinder');
    $this->alterVon = \PostOperations::getVarValue('anzahl_von');
    $this->alterBis = \PostOperations::getVarValue('anzahl_bis');
    $this->bericht = \PostOperations::getVarValue('bericht');
  }

  public function isMandatory(string $varname): bool
  {
    return true;
  }

  public function validate_anzahlKinder(): bool
  {
    return \CleanOperations::isInt($this->anzahlKinder);
  }

  public function validate_alterVon(): bool
  {
    return \CleanOperations::isInt($this->alterVon);
  }

  public function validate_alterBis(): bool
  {
    return \CleanOperations::isInt($this->alterBis);
  }

  public function validate_bericht(): bool
  {
    return $this->bericht !== '';
  }
}